﻿.cover, [cover] {
  position: absolute;
  display: flex;
  flex-direction: column;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%; }

.cover-image {
  background-size: contain;
  background-repeat: no-repeat;
  background-position: 50% 50%;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0; }

::-webkit-scrollbar, -moz-scrollbar {
  width: 0.5em; }

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 0.4em rgba(0, 0, 0, 0.3);
  border-radius: 0.5em; }

::-webkit-scrollbar-thumb {
  border-radius: 0.5em;
  -webkit-box-shadow: inset 0 0 0.4em rgba(0, 0, 0, 0.5); }

sup, sub {
  line-height: 100%;
  font-size: 60%; }

a.icon-btn, div.icon-btn {
  color: #000;
  text-decoration: none;
  cursor: default; }
  a.icon-btn:hover:not(.disable), div.icon-btn:hover:not(.disable) {
    color: #a00;
    cursor: pointer;
    text-shadow: 0 0 0.1em rgba(0, 0, 0, 0.5); }
  a.icon-btn.disable, div.icon-btn.disable {
    color: #888; }
  a.icon-btn.active, div.icon-btn.active {
    color: #00f; }

.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently
                                  supported by Chrome and Opera */ }

label, .x-label {
  margin-bottom: 0;
  font-weight: 500; }

.date-picker {
  display: flex; }
  .date-picker input[type='text'] {
    height: 1.5em;
    width: 9em;
    border: 0.05em solid #ced4da;
    padding-left: 0.3em; }
  .date-picker .input-group-addon {
    height: 1.5em;
    display: flex;
    flex: 0 0 1.5em;
    max-width: 1.5em;
    justify-content: center;
    align-items: center;
    padding: 0.375rem 0.75rem;
    margin-bottom: 0;
    font-size: 100%;
    line-height: 100%;
    border: 0.05em solid #ced4da; }
    .date-picker .input-group-addon:nth-last-child(1) {
      border-top-right-radius: 0.25em;
      border-bottom-right-radius: 0.25em; }
    .date-picker .input-group-addon:nth-child(1) {
      border-left: none; }

.x-form, .x-form-horizontal {
  display: flex;
  flex: 1 1 100%;
  flex-direction: column;
  font-family: "Athiti";
  font-size: 90%; }
  .x-form hr, .x-form-horizontal hr {
    margin: 0;
    border-top: solid 0.05px #ccc;
    width: 100%;
    margin-top: 0.8em; }
  .x-form .x-form-group, .x-form-horizontal .x-form-group {
    display: flex;
    flex: 1 1 100%;
    flex-direction: row;
    min-height: 2.3em;
    align-items: flex-start;
    margin-top: 0.3em; }
    .x-form .x-form-group .x-field-label, .x-form-horizontal .x-form-group .x-field-label {
      flex: 0 0 8em;
      font-weight: 600;
      min-height: 1.7em;
      height: 100%;
      margin-top: 0.4em; }
    .x-form .x-form-group .x-field-content, .x-form-horizontal .x-form-group .x-field-content {
      display: flex;
      flex: 1 1 auto;
      flex-direction: row;
      flex-wrap: wrap;
      align-items: center; }
      .x-form .x-form-group .x-field-content input[type="radio"], .x-form .x-form-group .x-field-content input[type="checkbox"], .x-form-horizontal .x-form-group .x-field-content input[type="radio"], .x-form-horizontal .x-form-group .x-field-content input[type="checkbox"] {
        margin: 0.1em 0.5em 0 0; }
      .x-form .x-form-group .x-field-content input.x-form-control, .x-form-horizontal .x-form-group .x-field-content input.x-form-control {
        border-radius: 0.3em;
        border: solid 0.05em #aaa;
        padding: 0em 0.3em;
        height: 1.7em;
        width: 100%;
        font-family: "Athiti"; }
  .x-form.wide .x-form-group .x-field-label, .x-form-horizontal.wide .x-form-group .x-field-label {
    flex: 0 0 12em; }

.btn, .x-btn {
  color: black;
  font-weight: 400;
  font-size: 100%;
  height: 2em;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.3em;
  border: solid 0.05em #ccc;
  background-color: red;
  background: linear-gradient(to bottom, transparent 0%, transparent 50%, rgba(0, 0, 0, 0.1) 100%);
  line-height: 100%;
  padding: 0; }
  .btn:hover, .x-btn:hover {
    background-image: none;
    background-color: #eee; }
  .btn.btn-danger, .x-btn.btn-danger {
    color: transparent;
    text-shadow: 0px 0.1em 0px rgba(255, 255, 255, 0.9), 0 0 0 rgba(0, 0, 0, 0.3); }
  .btn.btn-danger, .x-btn.btn-danger {
    color: red; }

/* The Modal (background) */
.modal-dialog {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1000;
  /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: black;
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.5);
  /* Black w/ opacity */
  transition: opacity 0.4s;
  opacity: 0;
  /* Modal Content/Box */ }
  .modal-dialog .dialog-container {
    background-color: #fefefe;
    position: relative;
    margin: auto;
    padding: 0.2em;
    border-radius: 0.2em;
    width: auto;
    min-width: 20em;
    box-shadow: 0 0.2em 0.5em 0 rgba(0, 0, 0, 0.2), 0 0.3em 1.2em 0 rgba(0, 0, 0, 0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s; }
    .modal-dialog .dialog-container .dialog-header {
      border-top-left-radius: 0.2em;
      border-top-right-radius: 0.2em;
      background-color: #444;
      padding-bottom: 0.2em;
      align-items: center;
      color: white;
      display: flex;
      flex-direction: row;
      width: 100%;
      /* The Close Button */ }
      .modal-dialog .dialog-container .dialog-header .dialog-title {
        font-weight: 600;
        margin-left: 0.5em; }
      .modal-dialog .dialog-container .dialog-header .close-dialog {
        float: unset;
        font-weight: 100;
        margin-right: 0.5em; }
      .modal-dialog .dialog-container .dialog-header .close-dialog:hover,
      .modal-dialog .dialog-container .dialog-header .close-dialog:focus {
        color: #e68a25;
        text-decoration: none;
        cursor: pointer; }
    .modal-dialog .dialog-container .dialog-body {
      border-bottom-left-radius: 0.2em;
      border-bottom-right-radius: 0.2em;
      padding: 0.5em 1em 0.5em 1em;
      background: white;
      font-size: 90%; }
      .modal-dialog .dialog-container .dialog-body .dialog-content form {
        width: 100%; }
      .modal-dialog .dialog-container .dialog-body .dialog-content button.dialog-button {
        min-width: 80px;
        margin: 5px;
        font-size: 12px;
        line-height: 10px;
        height: 26px;
        padding: 0 0.5em; }
    .modal-dialog .dialog-container .modal-footer {
      padding: 2px 16px;
      background-color: #5cb85c;
      color: white; }

/*!
 * Datetimepicker for Bootstrap 3
 * ! version : 4.7.14
 * https://github.com/Eonasdan/bootstrap-datetimepicker/
 */
.sr-only, .bootstrap-datetimepicker-widget .btn[data-action="incrementHours"]::after, .bootstrap-datetimepicker-widget .btn[data-action="incrementMinutes"]::after, .bootstrap-datetimepicker-widget .btn[data-action="decrementHours"]::after, .bootstrap-datetimepicker-widget .btn[data-action="decrementMinutes"]::after, .bootstrap-datetimepicker-widget .btn[data-action="showHours"]::after, .bootstrap-datetimepicker-widget .btn[data-action="showMinutes"]::after, .bootstrap-datetimepicker-widget .btn[data-action="togglePeriod"]::after, .bootstrap-datetimepicker-widget .btn[data-action="clear"]::after, .bootstrap-datetimepicker-widget .btn[data-action="today"]::after, .bootstrap-datetimepicker-widget .picker-switch::after, .bootstrap-datetimepicker-widget table th.prev::after, .bootstrap-datetimepicker-widget table th.next::after {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0; }

.bootstrap-datetimepicker-widget {
  list-style: none; }
  .bootstrap-datetimepicker-widget.dropdown-menu {
    margin: 0.15em 0;
    padding: 0.3px;
    width: 19em;
    font-size: 100% !important; }
    .bootstrap-datetimepicker-widget.dropdown-menu:before, .bootstrap-datetimepicker-widget.dropdown-menu:after {
      content: '';
      display: inline-block;
      position: absolute; }
    .bootstrap-datetimepicker-widget.dropdown-menu.bottom:before {
      border-left: 0.45em solid transparent;
      border-right: 0.45em solid transparent;
      border-bottom: 0.45em solid #ccc;
      border-bottom-color: rgba(0, 0, 0, 0.2);
      top: -0.45em;
      left: 0.45em; }
    .bootstrap-datetimepicker-widget.dropdown-menu.bottom:after {
      border-left: 0.4em solid transparent;
      border-right: 0.4em solid transparent;
      border-bottom: 0.4em solid white;
      top: -0.4em;
      left: 0.5em; }
    .bootstrap-datetimepicker-widget.dropdown-menu.top:before {
      border-left: 0.45em solid transparent;
      border-right: 0.45em solid transparent;
      border-top: 0.45em solid #ccc;
      border-top-color: rgba(0, 0, 0, 0.2);
      bottom: -0.45em;
      left: 0.4em; }
    .bootstrap-datetimepicker-widget.dropdown-menu.top:after {
      border-left: 6px solid transparent;
      border-right: 6px solid transparent;
      border-top: 6px solid white;
      bottom: -6px;
      left: 7px; }
    .bootstrap-datetimepicker-widget.dropdown-menu.pull-right:before {
      left: auto;
      right: 0.4em; }
    .bootstrap-datetimepicker-widget.dropdown-menu.pull-right:after {
      left: auto;
      right: 0.45em; }
  .bootstrap-datetimepicker-widget .list-unstyled {
    margin: 0; }
  .bootstrap-datetimepicker-widget a[data-action] {
    padding: 0.4em 0; }
  .bootstrap-datetimepicker-widget a[data-action]:active {
    box-shadow: none; }
  .bootstrap-datetimepicker-widget .timepicker-hour, .bootstrap-datetimepicker-widget .timepicker-minute, .bootstrap-datetimepicker-widget .timepicker-second {
    width: 3.6em;
    font-weight: bold;
    font-size: 1.2em;
    margin: 0; }
  .bootstrap-datetimepicker-widget button[data-action] {
    padding: 0.4em; }
  .bootstrap-datetimepicker-widget .btn[data-action] {
    overflow: hidden; }
  .bootstrap-datetimepicker-widget .btn[data-action="incrementHours"]::after {
    content: "Increment Hours"; }
  .bootstrap-datetimepicker-widget .btn[data-action="incrementMinutes"]::after {
    content: "Increment Minutes"; }
  .bootstrap-datetimepicker-widget .btn[data-action="decrementHours"]::after {
    content: "Decrement Hours"; }
  .bootstrap-datetimepicker-widget .btn[data-action="decrementMinutes"]::after {
    content: "Decrement Minutes"; }
  .bootstrap-datetimepicker-widget .btn[data-action="showHours"]::after {
    content: "Show Hours"; }
  .bootstrap-datetimepicker-widget .btn[data-action="showMinutes"]::after {
    content: "Show Minutes"; }
  .bootstrap-datetimepicker-widget .btn[data-action="togglePeriod"]::after {
    content: "Toggle AM/PM"; }
  .bootstrap-datetimepicker-widget .btn[data-action="clear"]::after {
    content: "Clear the picker"; }
  .bootstrap-datetimepicker-widget .btn[data-action="today"]::after {
    content: "Set the date to today"; }
  .bootstrap-datetimepicker-widget .picker-switch {
    text-align: center; }
    .bootstrap-datetimepicker-widget .picker-switch::after {
      content: "Toggle Date and Time Screens"; }
    .bootstrap-datetimepicker-widget .picker-switch td {
      padding: 0;
      margin: 0;
      height: auto;
      width: auto;
      line-height: inherit; }
      .bootstrap-datetimepicker-widget .picker-switch td span {
        line-height: 2.5;
        height: 2.5em;
        width: 100%; }
  .bootstrap-datetimepicker-widget table {
    width: 100%;
    margin: 0; }
    .bootstrap-datetimepicker-widget table td,
    .bootstrap-datetimepicker-widget table th {
      text-align: center;
      border-radius: 0.1em; }
    .bootstrap-datetimepicker-widget table th {
      height: 1.35em;
      line-height: 1.35em;
      width: 1.35em; }
      .bootstrap-datetimepicker-widget table th.picker-switch {
        width: 9.65em; }
      .bootstrap-datetimepicker-widget table th.disabled, .bootstrap-datetimepicker-widget table th.disabled:hover {
        background: none;
        color: #ddd;
        cursor: not-allowed; }
      .bootstrap-datetimepicker-widget table th.prev::after {
        content: "Previous Month"; }
      .bootstrap-datetimepicker-widget table th.next::after {
        content: "Next Month"; }
    .bootstrap-datetimepicker-widget table thead tr:first-child th {
      cursor: pointer; }
      .bootstrap-datetimepicker-widget table thead tr:first-child th:hover {
        background: #eee; }
    .bootstrap-datetimepicker-widget table td {
      height: 3.6em;
      line-height: 3.6em;
      width: 3.6em; }
      .bootstrap-datetimepicker-widget table td.cw {
        font-size: .8em;
        height: 1.35em;
        line-height: 1.35em;
        color: #ddd; }
      .bootstrap-datetimepicker-widget table td.day {
        height: 1.35em;
        line-height: 1.35em;
        width: 1.35em; }
      .bootstrap-datetimepicker-widget table td.day:hover, .bootstrap-datetimepicker-widget table td.hour:hover, .bootstrap-datetimepicker-widget table td.minute:hover, .bootstrap-datetimepicker-widget table td.second:hover {
        background: #eee;
        cursor: pointer; }
      .bootstrap-datetimepicker-widget table td.old, .bootstrap-datetimepicker-widget table td.new {
        color: #ddd; }
      .bootstrap-datetimepicker-widget table td.today {
        position: relative; }
        .bootstrap-datetimepicker-widget table td.today:before {
          content: '';
          display: inline-block;
          border: 0 0 0.45em 0.45em solid transparent;
          border-bottom-color: #ccc;
          border-top-color: rgba(0, 0, 0, 0.2);
          position: absolute;
          bottom: 0.3em;
          right: 0.3em; }
      .bootstrap-datetimepicker-widget table td.active, .bootstrap-datetimepicker-widget table td.active:hover {
        background-color: #ccc;
        color: #000;
        text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25); }
      .bootstrap-datetimepicker-widget table td.active.today:before {
        border-bottom-color: #fff; }
      .bootstrap-datetimepicker-widget table td.disabled, .bootstrap-datetimepicker-widget table td.disabled:hover {
        background: none;
        color: #ddd;
        cursor: not-allowed; }
      .bootstrap-datetimepicker-widget table td span {
        display: inline-block;
        width: 3.6em;
        height: 3.6em;
        line-height: 3.6em;
        margin: 0.15em 0.1em;
        cursor: pointer;
        border-radius: 0.1em; }
        .bootstrap-datetimepicker-widget table td span:hover {
          background: #eee; }
        .bootstrap-datetimepicker-widget table td span.active {
          background-color: #ccc;
          color: #000;
          text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25); }
        .bootstrap-datetimepicker-widget table td span.old {
          color: #ddd; }
        .bootstrap-datetimepicker-widget table td span.disabled, .bootstrap-datetimepicker-widget table td span.disabled:hover {
          background: none;
          color: #ddd;
          cursor: not-allowed; }
  .bootstrap-datetimepicker-widget.usetwentyfour td.hour {
    height: 1.8em;
    line-height: 1.8em; }

.input-group.date .input-group-addon {
  cursor: pointer; }

[debug], [debug] div {
  border: dotted 1px red; }

body {
  font-family: "Athiti";
  font-weight: 300;
  width: 100%;
  height: 100%;
  display: block;
  position: fixed;
  margin: 0; }

.main-container {
  background-image: url("/images/blur-bg.jpg");
  background-color: #222;
  background-size: cover; }

.body-background {
  background-color: #eceff4; }

.main-header {
  flex: 0 0 2.2em;
  background-color: white;
  position: relative;
  align-items: center; }
  .main-header .btn-toggle-side-menu {
    display: none; }
  .main-header .band-icon {
    height: 2em;
    margin-left: 0.2em;
    margin-right: 0.5em; }
  .main-header .band-text {
    font-weight: 600; }

.footer {
  display: flex;
  flex: 0 0 1.2em;
  background-color: #888;
  border-top: solid 0.01em white; }

.page-container {
  overflow-x: hidden;
  overflow-y: auto;
  position: relative; }

.sidepanel {
  flex: 0 0 20em;
  position: relative;
  transition: flex-basis 0.5s;
  z-index: 1; }
  .sidepanel .btn-collapse {
    z-index: 1000;
    position: absolute;
    width: 1.5em;
    height: 1.5em;
    top: 0.6em;
    right: 0.4em;
    color: #aaa;
    /*align-items: center;
        border-radius: 1.2em;
        background-color: rgba(255,255,255,0.6);*/
    font-size: 80%;
    transition: color ease-in-out 0.2s, right 0.5s; }
    .sidepanel .btn-collapse i.show-menu {
      display: none; }
    .sidepanel .btn-collapse:hover {
      text-shadow: 0em 0em 0.8em rgba(0, 0, 0, 0.1);
      color: rgba(255, 255, 255, 0.9);
      cursor: pointer; }
  .sidepanel .sidebar-container {
    opacity: 1;
    transition: opacity 0.4s;
    position: relative;
    overflow: hidden; }
    .sidepanel .sidebar-container > [cover] {
      width: 20em;
      right: inherit; }
  .sidepanel.collapsed {
    flex: 0 0 0.2em;
    color: rgba(255, 255, 255, 0.6); }
    .sidepanel.collapsed .btn-collapse {
      right: -1.4em;
      /*background-color: rgba(255,255,255,1);*/ }
      .sidepanel.collapsed .btn-collapse:hover {
        text-shadow: 0em 0em 0.9em rgba(0, 0, 0, 0.5);
        color: white; }
      .sidepanel.collapsed .btn-collapse i.show-menu {
        display: block; }
      .sidepanel.collapsed .btn-collapse i.hide-menu {
        display: none; }
    .sidepanel.collapsed .sidebar-container {
      opacity: 0; }

.sidepanel-collapsed:not(.slide-menu-layout) .location-nav-bar label {
  margin-left: 1em; }

.sidebar-content {
  position: absolute;
  background-color: #888;
  top: 0.3em;
  left: 0.3em;
  right: 0.3em;
  bottom: 0.3em;
  border: solid 0.05em rgba(0, 0, 0, 0.3); }
  .sidebar-content .box-logo {
    flex: 0 0 14em; }
    .sidebar-content .box-logo .cover-image, .sidebar-content .box-logo .cover-gradient, .sidebar-content .box-logo .title {
      left: 0.2em;
      top: 0.2em;
      right: 0.2em;
      bottom: 0.2em;
      width: inherit;
      background-size: cover;
      border-radius: 0.3em; }
    .sidebar-content .box-logo .cover-image {
      filter: grayscale(40%); }
    .sidebar-content .box-logo .cover-gradient {
      background: linear-gradient(to bottom, rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0.2) 10%, transparent 20%, transparent 60%, rgba(0, 0, 0, 0.6) 70%, black 100%); }
    .sidebar-content .box-logo .title {
      flex-flow: column;
      justify-content: flex-end;
      padding: 0.3em;
      z-index: 1;
      color: #ddd;
      padding-left: 0.5em; }
      .sidebar-content .box-logo .title label {
        font-weight: 600;
        font-size: 130%; }
      .sidebar-content .box-logo .title .system-clock {
        font-size: 80%;
        font-weight: 400; }
  .sidebar-content .box-menu {
    overflow-x: hidden;
    overflow-y: auto;
    margin-top: 0.5em;
    margin-bottom: 0.5em; }
    .sidebar-content .box-menu .alarm-sign {
      display: none; }
    .sidebar-content .box-menu .alarm-sign.alarm {
      display: block;
      margin-top: 0.15em;
      color: #ff2222;
      text-shadow: 0 0 0.8em #000; }
    .sidebar-content .box-menu a.link-menu {
      text-decoration: none; }
      .sidebar-content .box-menu a.link-menu > div {
        margin: 0.3em 0.4em;
        padding: 0.1em 0.5em;
        background-color: rgba(0, 0, 0, 0.2);
        border-radius: 0.3em;
        color: white;
        cursor: default;
        font-size: 90%;
        font-weight: 400;
        min-height: 1.8em; }
        .sidebar-content .box-menu a.link-menu > div [flex] {
          flex: 1 1 auto; }
        .sidebar-content .box-menu a.link-menu > div .icon {
          flex: 0 0 1em;
          align-items: center;
          justify-content: flex-end;
          margin-right: 0.5em; }
          .sidebar-content .box-menu a.link-menu > div .icon.level-1 {
            flex: 0 0 2em; }
          .sidebar-content .box-menu a.link-menu > div .icon.level-2 {
            flex: 0 0 3em; }
          .sidebar-content .box-menu a.link-menu > div .icon.root {
            display: none; }
        .sidebar-content .box-menu a.link-menu > div .m-name {
          flex: 1 1 auto;
          line-height: 95%;
          align-items: center;
          margin: 0.3em 0; }
        .sidebar-content .box-menu a.link-menu > div:focus {
          text-decoration: none;
          color: unset; }
        .sidebar-content .box-menu a.link-menu > div:hover:not(.active) {
          background-color: rgba(0, 0, 0, 0.6);
          color: #e68a25;
          text-decoration: unset;
          cursor: pointer; }
        .sidebar-content .box-menu a.link-menu > div.root-diagram {
          font-weight: bold;
          background-color: rgba(0, 0, 0, 0.4); }
        .sidebar-content .box-menu a.link-menu > div.active {
          border: solid 0.02em rgba(0, 0, 0, 0.2);
          color: #e68a25; }

.nav-menu {
  flex: 0 0 3em;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: flex-end;
  flex-direction: row; }
  .nav-menu .top-menu {
    margin: 0;
    border: none;
    border-radius: unset;
    min-height: 3em;
    max-height: 3em;
    height: 3em;
    padding: 0;
    display: flex;
    justify-content: flex-end; }
    .nav-menu .top-menu .menu-list {
      position: relative;
      flex-direction: column;
      flex-flow: column;
      width: 5em;
      color: #eee;
      justify-content: center;
      align-items: center;
      height: 100%; }
      .nav-menu .top-menu .menu-list[active] {
        color: #e68a25 !important; }
      .nav-menu .top-menu .menu-list:hover {
        cursor: default; }
      .nav-menu .top-menu .menu-list:hover:not([active]) {
        background-color: rgba(255, 255, 255, 0.1);
        color: #e68a25;
        cursor: pointer; }
      :hover:not(.nav-menu .top-menu .menu-list[active]) {
        cursor: pointer; }
      .nav-menu .top-menu .menu-list a {
        z-index: -1;
        color: inherit;
        width: 100%;
        display: flex;
        flex: 1 1 auto;
        flex-direction: column;
        text-decoration: none;
        cursor: inherit;
        height: 100%;
        font-size: 80%;
        justify-content: center; }
        .nav-menu .top-menu .menu-list a:focus, .nav-menu .top-menu .menu-list a:hover {
          text-decoration: none;
          background: inherit;
          cursor: inherit; }
        .nav-menu .top-menu .menu-list a label {
          font-weight: 300;
          text-align: center;
          width: 100%;
          cursor: inherit;
          line-height: 120%; }
      .nav-menu .top-menu .menu-list i.fa {
        display: flex;
        justify-content: center;
        font-size: 140%; }
      .nav-menu .top-menu .menu-list .alarm-sign {
        display: none !important;
        color: red;
        background: none;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        text-align: center;
        padding: 0.3em 0 0 1.5em; }
        .nav-menu .top-menu .menu-list .alarm-sign.alarm {
          position: absolute;
          display: block !important; }

.panel-system-menu {
  flex: 1 0 25em;
  font-size: 90%;
  align-items: center; }
  .panel-system-menu .panel-cover {
    height: 2.2em;
    background-color: white;
    align-items: center; }
  .panel-system-menu .icon-btn {
    padding-left: 0.3em;
    padding-right: 0.3em; }
  .panel-system-menu .user-options .user-options-dropdown {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    border: solid 1px #ccc;
    min-width: 10em;
    box-shadow: 0 0.5em 1em 0 rgba(0, 0, 0, 0.2);
    padding: 0;
    border-radius: 0.05em;
    margin-left: -9em;
    z-index: 1;
    text-align: center;
    overflow: hidden; }
    .panel-system-menu .user-options .user-options-dropdown a {
      border-radius: 0.3em;
      color: black;
      margin: 1px;
      padding: 0.2em 0.8em;
      text-decoration: none;
      display: block;
      text-shadow: none;
      border: solid 0.02em transparent;
      font-size: 0.8em;
      font-weight: 600; }
      .panel-system-menu .user-options .user-options-dropdown a:hover {
        background-color: #eee;
        border: solid 0.02em #ccc;
        color: #00f; }
  .panel-system-menu .user-options:hover .user-options-dropdown {
    display: block; }
  .panel-system-menu .btn-toggle-system-menu {
    display: none; }

.language-selector {
  font-size: 80%;
  flex: 0 1 1em; }
  .language-selector > a {
    color: #888;
    font-weight: 600; }
  .language-selector > a.active {
    color: #00f;
    text-shadow: 0px 0px 2px #ddd; }

.location-nav-bar {
  display: flex;
  flex: 0 0 2em;
  margin: 0 0.5em;
  border-bottom: solid 0.02em #888;
  margin-top: 0.2em; }

.swipe-panel {
  display: none; }

@media screen and (max-aspect-ratio: 3 / 2), screen and (max-width: 719px) {
  .swipe-panel {
    display: block; }
  .sidepanel {
    display: block;
    position: absolute;
    z-index: 200;
    width: 100%;
    max-width: 30em;
    top: 0;
    bottom: 0;
    left: 0;
    transition: all 0.5s; }
    .sidepanel .sidebar-container {
      height: 100%; }
    .sidepanel .sidebar-container > div[cover] {
      width: 100%; }
    .sidepanel.collapsed, .sidepanel.init {
      left: -99%; } }

@media screen and (orientation: portrait) {
  .nav-menu .top-menu {
    justify-content: center;
    width: 100%; }
    .nav-menu .top-menu .menu-list {
      width: 3.5em; }
      .nav-menu .top-menu .menu-list label {
        display: none; }
      .nav-menu .top-menu .menu-list.hide-xs {
        display: none; }
      .nav-menu .top-menu .menu-list.menu-overview {
        display: none; } }

@media screen and (max-aspect-ratio: 3 / 2), screen and (max-height: 470px) {
  .main-header .btn-toggle-side-menu {
    display: block;
    width: 2em;
    text-align: center; }
  .sidepanel .btn-collapse {
    display: none; } }

@media screen and (max-height: 470px) {
  .sidebar-content .box-logo {
    flex: 0 0 5em; }
  .nav-menu .top-menu .menu-list.hide-xs {
    display: none; } }

@media screen and (orientation: portrait), screen and (max-width: 470px) {
  .panel-system-menu {
    position: absolute;
    top: 5%;
    bottom: 5%;
    width: 100%;
    left: 100%;
    margin-left: -1.5em;
    background-color: white;
    transition: all ease 0.5s; }
    .panel-system-menu .btn-toggle-system-menu.btn-close {
      display: none; }
    .panel-system-menu .btn-toggle-system-menu.btn-open {
      display: block; }
    .panel-system-menu.show-menu {
      left: 0;
      margin-left: 0; }
      .panel-system-menu.show-menu .btn-toggle-system-menu.btn-close {
        display: block; }
      .panel-system-menu.show-menu .btn-toggle-system-menu.btn-open {
        display: none; } }

@media screen and (max-height: 350px) and (orientation: landscape) {
  .main-container {
    font-size: 120%; }
    .main-container .page-container {
      overflow-y: auto; } }

